Người dùng Mac cần cập nhật bản vá Shellshock

30/09/2014 16:00 GMT+7
Người dùng Mac OS X 10.7, 10.8 và 10.9 cần cập nhật ngay bản vá lỗi Shellshock

TTO - Apple vừa phát hành bản cập nhật hệ điều hành OS X, vá lỗ hổng bảo mật nguy hiểm Shellshock trong phần mềm Bash. Xem cách cập nhật.

Người dùng Mac OS X 10.7, 10.8 và 10.9 cần cập nhật ngay bản vá lỗi Shellshock - Ảnh minh họa: Internet
Người dùng Mac OS X 10.7, 10.8 và 10.9 cần cập nhật ngay bản vá lỗi Shellshock - Ảnh minh họa: Internet

Bản vá lỗi do Apple phát hành mang tên OS X Bash Update 1.0 cho các phiên bản hệ điều hành OS X Mavericks (10.9), Mountain Lion (Sư tử núi - 10.8), và Lion cùng Lion Server (Sư tử - 10.7). 

Bản vá sẽ nâng cấp Bash trong OS X (Mavericks) từ phiên bản 3.2.51 lên 3.2.53. Yêu cầu người dùng đang chạy các bản cập nhật mới nhất của hệ điều hành OS X gồm: 10.9.5, 10.8.5 và 10.7.5.

Hiện bản thử nghiệm của phiên bản mới nhất OS X Yosemite (10.10) chưa có bản vá lỗi Shellshock. Người dùng phải chờ đến bản hoàn thiện được Apple phát hành.

Trước đó, Apple đưa ra thông báo, cho biết hầu hết người dùng Mac đều không bị đe dọa bởi lỗi, do tính năng điều khiển từ xa của Bash trong OS X được mặc định tắt. Những thiết bị di động dùng iOS không bẻ khóa (jailbreak) cũng không gặp nguy hiểm.

Người dùng có thể tải bản cập nhật ngăn lỗi Shellshock tại đây theo từng phiên bản: OS X Lion, OS X Mountain Lion, OS X Mavericks.

Phần mềm quản lý câu lệnh Bash trong Unix và các hệ điều hành dựa trên nhân Linux đã cập nhật lần thứ hai đã khắc phục lỗ hổng bảo mật Shellshock. Nhiều bản phân phối Linux khác cũng đã phát hành bản vá đến người dùng của mình như RedHat cho RedHat Enterprise Linux (tham khảo tại đây).

Shellshock là lỗi bảo mật tồn tại hơn 22 năm trong phần mềm Bash có trong hầu hết các hệ điều hành dùng nhân Linux và Unix, bao gồm cả Apple OS X trên Mac. Khai thác thành công lỗi sẽ cho phép tin tặc thực thi câu lệnh từ xa trên hệ thống máy tính.

Lỗi Shellshock được giới chuyên gia an ninh mạng trên thế giới đánh giá rất nguy hiểm và có phạm vi ảnh hưởng lớn, do Bash không chỉ có mặt trong các hệ điều hành mà còn trong những thiết bị mạng như bộ định tuyến (Router) hay các ứng dụng DHCP (cấp phát IP động), OpenSSH, công cụ quản lý web cPanel... 

Vừa qua, cách khai thác thành công lỗi Shellshock trên cPanel đã khiến các quản trị web một phen "đau tim". cPanel đã nhanh chóng phát hành bản vá lỗi.

PHONG VÂN
Bình luận (0)
    Xem thêm bình luận
    Bình luận Xem thêm
    Bình luận (0)
    Xem thêm bình luận